library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;
use ieee.std_logic_arith.all;


---- function
package controlFuncs is
 function nextPlayerID(vec : std_logic_vector) return std_logic_vector;
end controlFuncs;

package body controlFuncs is
  function nextPlayerID(vec : std_logic_vector) return std_logic_vector is
    variable nextID : std_logic_vector(vec'left downto 0);

  begin
    nextID := vec;
    nextID := nextID + nextID;
    if nextID = X"0" then
      nextID(0) := '1';
    end if;
    
    return nextID;
  end;
end controlFuncs;